<?php require_once('Connections/conn.php'); ?>
<?php
session_start();
  // Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario, Sede y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
  $sede_usuario=$_SESSION['SEDE_USUARIO']; 
  
  mysql_select_db("pregrado_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="cargar.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
	  }  

  if ($tipo_usuario!="1" && $tipo_usuario!="10" && $tipo_usuario!="21" ) {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="cargar.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
  }  
	  
 
$query_rstDocentes = "SELECT docentes.id_docente, cedula, docentes.apellidos,docentes.nombres FROM docentes ORDER BY apellidos,nombres";
$rstDocentes = mysql_query($query_rstDocentes, $conn) or die(mysql_error());
$row_rstDocentes = mysql_fetch_assoc($rstDocentes);
$totalRows_rstDocentes = mysql_num_rows($rstDocentes);

// Datos de las sedes.
	if($sede_usuario=='14-01'){	
	   $sqlSede = "SELECT codigo,nombre_sede FROM sedes ORDER BY nombre_sede";
	   }
	   else{
	   $sqlSede = "SELECT codigo,nombre_sede FROM sedes where codigo='$sede_usuario'";
	   }
	   $rstSede = mysql_query($sqlSede, $conn) or die(mysql_error());
       $row_rstSede = mysql_fetch_assoc($rstSede);
       $totalRows_rstSede = mysql_num_rows($rstSede);
	   
$query_rstPeriodos = "SELECT  periodos.id_periodo, periodos.codigo, tipo FROM periodos where status='ABIERTO' ORDER BY periodos.id_periodo asc";
$rstPeriodos = mysql_query($query_rstPeriodos, $conn) or die(mysql_error());
$row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
$totalRows_rstPeriodos = mysql_num_rows($rstPeriodos);


$query_rstMaterias = "SELECT materias.id_materia, materias.nombre_materia FROM materias ORDER BY materias.nombre_materia";
$rstMaterias = mysql_query($query_rstMaterias, $conn) or die(mysql_error());
$row_rstMaterias = mysql_fetch_assoc($rstMaterias);
$totalRows_rstMaterias = mysql_num_rows($rstMaterias);


$query_rstSecciones = "SELECT DISTINCT secciones.seccion FROM secciones ORDER BY seccion";
$rstSecciones = mysql_query($query_rstSecciones, $conn) or die(mysql_error());
$row_rstSecciones = mysql_fetch_assoc($rstSecciones);
$totalRows_rstSecciones = mysql_num_rows($rstSecciones);


$query_rstCarreras = "SELECT id_carrera, nombre_carrera FROM carreras";
$rstCarreras = mysql_query($query_rstCarreras, $conn) or die(mysql_error());
$row_rstCarreras = mysql_fetch_assoc($rstCarreras);
$totalRows_rstCarreras = mysql_num_rows($rstCarreras);

 session_start();
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>sadce -- carga de calificaciones</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>

<script src="jquery.min.js" type="text/javascript"></script>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

</head>



<script>
$(document).ready(function(){
	$("#periodo").change(function(){
		$.post("carga_turnos_docente_all.php",{ p:$(this).val(),d:document.form1.profesor.value  },function(data){$("#turno").html(data);})
	});
	$("#periodo").change(function(){
		$.post("carga_materias_docente_all.php",{ p:$(this).val(),d:document.form1.profesor.value  },function(data){$("#materia").html(data);})
	});
	$("#periodo").change(function(){
		$.post("carga_secciones_docente_all.php",{ p:$(this).val(),d:document.form1.profesor.value  },function(data){$("#seccion").html(data);})
	});
	$("#periodo").change(function(){
		$.post("carga_sedes_docente_all.php",{ p:$(this).val(),d:document.form1.profesor.value  },function(data){$("#sede").html(data);})
	});
	$("#periodo").change(function(){
		$.post("carga_carreras_docente_all.php",{ p:$(this).val(),d:document.form1.profesor.value  },function(data){$("#id_carrera").html(data);})
	});
})
</script>

<body>

<?php

mysql_select_db($database_conn, $conn);
$query_carreras = "SELECT id_carrera,nombre_carrera FROM carreras WHERE status='ACTIVA' ORDER BY nombre_carrera";
$rst_carreras = mysql_query($query_carreras, $conn) or die(mysql_error());
$totalRows_carreras = mysql_num_rows($rst_carreras);  

if($totalRows_carreras >0)
{
    $array_areas = array();
	 $array_carreras = array();
	$code=0;
	while($carrera = mysql_fetch_assoc($rst_carreras))
		{
			$array_carreras[$code] = $carrera["id_carrera"];		
			$array_areas[$code]=  $carrera["nombre_carrera"];	
			$code += 1;
		}
}
			
?>


<table class="bd" width="100%" align="center"><tr><td class="hr"><h2>Registro de Calificaciones</h2></td></tr>
<tr>
<td class="hr">Todos los datos son obligatorios</td>
</tr>
</table>
<form name="form1" method="post" action="">
  <table width="40%" border="0" align="center" id="carga" cellpadding="1" cellspacing="6" style="border:1px solid #ccc;">
    <tr>
      <td width="101"><div align="right">Docente:</div></td>
      <td width="152"><label>
        <div align="left">
          <select name="profesor" size="1" id="profesor" style="width:400px">
		   <option value="0">Seleccione...</option>
            <?php
do {  
?>
            <option value="<?php echo $row_rstDocentes['id_docente']?>"><?php echo $row_rstDocentes['apellidos'].' '.$row_rstDocentes['nombres']?>&nbsp;(<?php echo $row_rstDocentes['cedula']?>)</option>
            <?php
} while ($row_rstDocentes = mysql_fetch_assoc($rstDocentes));
  $rows = mysql_num_rows($rstDocentes);
  if($rows > 0) {
      mysql_data_seek($rstDocentes, 0);
	  $row_rstDocentes = mysql_fetch_assoc($rstDocentes);
  }
?>
          </select>
        </div>
      </label></td>
      <td width="86"><div align="right">Lapso:</div></td>
      <td width="213"><label>
        <div align="left">
          <select name="periodo" id="periodo">
		  <option value="0">Seleccione...</option>
            <?php
do {  
?>
            <option value="<?php echo $row_rstPeriodos['id_periodo']?>"><?php echo $row_rstPeriodos['codigo']?>&nbsp;(<?php echo $row_rstPeriodos['tipo']?>)</option>
            <?php
} while ($row_rstPeriodos = mysql_fetch_assoc($rstPeriodos));
  $rows = mysql_num_rows($rstPeriodos);
  if($rows > 0) {
      mysql_data_seek($rstPeriodos, 0);
	  $row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
  }
?>
          </select>
        </div>
      </label></td>
    </tr>
    <tr>
      <td><div align="right">Sede:</div></td>
      <td colspan="3"><div align="left">
        <select name="sede" id="sede" style="width:190px">
          <option value="0">Seleccione...</option>
        </select>
        Turno: 
        <select name="turno" id="turno">
          <option value="0">Seleccione...</option>
        </select>
        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sección:	  &nbsp;
        <select name="seccion" id="seccion">
          <option value="0">Seleccione...</option>
        </select>
      </div></td>
    </tr>
    <tr>
      <td><div align="right">Carrera:</div></td>
      <td colspan="3"><label>
        <select name="id_carrera" id="id_carrera" style="width:580px">
			<option selected value="0">Seleccione...</option>
</select>
      </label></td>
    </tr>
    <tr>
      <td>Unidad Curricular: </td>
      <td colspan="3"><select name="materia" id="materia" style="width:300px">
        <option value="0">Seleccione...</option>
      </select>
      &nbsp;&nbsp;&nbsp;Corte:&nbsp;&nbsp;
	  <select name="corte" id="corte">
        <option value="0">Seleccione...</option>
        <option value="1">&nbsp;1&nbsp;</option>
        <option value="2">&nbsp;2&nbsp;</option>
        <option value="3">&nbsp;3&nbsp;</option>
        <option value="4">&nbsp;4&nbsp;</option>
      </select>
    </tr>
    
    <tr>
      <td colspan="4"><div align="center">
        <label>
        <input name="Enviar" type="button" id="Enviar" value="Registrar" onClick="cargar_notas(document.form1.profesor.value,document.form1.periodo.value,document.form1.seccion.value,document.form1.sede.value,document.form1.materia.value,document.form1.turno.value,document.form1.id_carrera.value,document.form1.corte.value)">
        </label>
      </div></td>
    </tr>
  </table>
    <div align="center"></div>
  <div align="center"></div>
</form>
<p>&nbsp;</p>
</body>

 <script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
	
</script>
 <?php
mysql_free_result($rstDocentes);

mysql_free_result($rstSede);

mysql_free_result($rstPeriodos);

mysql_free_result($rstMaterias);

mysql_free_result($rstSecciones);

mysql_free_result($rstCarreras);
?>

<script type="text/javascript">
 function cargar_notas(profesor,periodo,seccion,sede,materia,turno,carrera,corte)
  {
  
        if(document.form1.profesor.value==0){
			alert("El campo <<Docente>> es obligatorio");
		 	document.form1.profesor.focus();
		 	return false;
			}
		if(document.form1.periodo.value==0){
			alert("El campo <<Lapso>> es obligatorio");
		 	document.form1.periodo.focus();
		 	return false;
			}	
		if(document.form1.seccion.value==0){
			alert("El campo <<Sección>> es obligatorio");
			document.form1.seccion.focus();
			return false;
			}
	    if(document.form1.turno.value==0){
			alert("El campo <<Turno>> es obligatorio");
			document.form1.turno.focus();
			return false;
			}		
		if(document.form1.sede.value==0){
			alert("El campo <<Sede>> es obligatorio");
			document.form1.sede.focus();
			return false;
			}
		if(document.form1.id_carrera.value==0){
			alert("El campo <<Carrera>> es obligatorio");
			document.form1.id_carrera.focus();
			return false;
			}
		if(document.form1.materia.value==0){
			alert("El campo <<Unidad Curricular>> es obligatorio");
			document.form1.materia.focus();
			return false;
			}
		if(document.form1.corte.value==0){
			alert("El campo <<Corte>> es obligatorio");
			document.form1.corte.focus();
			return false;
			}
  
    if(corte=='1'){
			window.document.location="cargar_corte1.php?profesor="+document.form1.profesor.value+"&periodo="+document.form1.periodo.value+"&seccion="+document.form1.seccion.value+"&sede="+document.form1.sede.value+"&materia="+document.form1.materia.value+"&carrera="+document.form1.id_carrera.value+"&turno="+document.form1.turno.value+"&a=reset";
			}
		   if(corte=='2'){
			window.document.location="cargar_corte2.php?profesor="+document.form1.profesor.value+"&periodo="+document.form1.periodo.value+"&seccion="+document.form1.seccion.value+"&sede="+document.form1.sede.value+"&materia="+document.form1.materia.value+"&carrera="+document.form1.id_carrera.value+"&turno="+document.form1.turno.value+"&a=reset";
			}	
			 if(corte=='3'){
			window.document.location="cargar_corte3.php?profesor="+document.form1.profesor.value+"&periodo="+document.form1.periodo.value+"&seccion="+document.form1.seccion.value+"&sede="+document.form1.sede.value+"&materia="+document.form1.materia.value+"&carrera="+document.form1.id_carrera.value+"&turno="+document.form1.turno.value+"&a=reset";
			}	
			 if(corte=='4'){
			window.document.location="cargar_corte4.php?profesor="+document.form1.profesor.value+"&periodo="+document.form1.periodo.value+"&seccion="+document.form1.seccion.value+"&sede="+document.form1.sede.value+"&materia="+document.form1.materia.value+"&carrera="+document.form1.id_carrera.value+"&turno="+document.form1.turno.value+"&a=reset";
			}
			
   }
</script>

<?php
function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
 ?>
